Creates a new company.

Body·
required

Company details including optional external references and tags

Request to create a new company.

  • name
    Type: string
    max length:  
    255
    required

    Company name (required).

  • countryCode
    Type: null | string
    max length:  
    10

    ISO 3166-1 alpha-2 country code (e.g. 'US', 'SE').

  • domain
    Type: null | string
    max length:  
    255

    Company domain (e.g., "acme.com"). Normalized to lowercase without www prefix. Ignored if homepageUrl is provided (domain is derived from URL instead).

  • externalRefs
    Type: array object[] ·

    External references to this company in other systems (e.g. CRM IDs).

    Represents an external system reference (e.g., Salesforce, HubSpot, Pipedrive). Supports multiple CRM systems simultaneously.

  • homepageUrl
    Type: null | string
    max length:  
    500

    Company homepage URL.

  • linkedInUrl
    Type: null | string
    max length:  
    500

    Company LinkedIn URL in the format https://www.linkedin.com/company/{slug}.

  • strategy
    Type: null | string

    Investment strategy or description.

  • tags
    Type: array string[]

    List of tags or labels.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for post/api/v1/network/companies
curl https://app.propstreet.com/api/v1/network/companies \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "externalRefs": [
    {
      "namespace": "",
      "id": ""
    }
  ],
  "name": "",
  "countryCode": null,
  "homepageUrl": null,
  "linkedInUrl": null,
  "domain": null,
  "tags": [
    ""
  ],
  "strategy": null
}'
{
  "id": "string",
  "uri": null,
  "externalRefs": [
    {
      "namespace": "string",
      "id": "string"
    }
  ],
  "name": "string",
  "countryCode": null,
  "homepageUrl": null,
  "linkedInUrl": null,
  "domain": null,
  "tags": [
    "string"
  ],
  "strategy": null,
  "contacts": [
    {
      "id": "string",
      "uri": null,
      "firstName": null,
      "lastName": null,
      "email": null,
      "jobTitle": null,
      "isPrimary": true
    }
  ],
  "profilePictureUrl": null,
  "createdUtc": "2026-05-05T17:18:39.880Z",
  "updatedUtc": "2026-05-05T17:18:39.880Z",
  "deletedUtc": null,
  "etag": "string",
  "changeType": null,
  "changeOrigin": null
}